<?php

/**
 * 
 * Copyright (C) Die Randgruppe GmbH
 * 
 * http://www.randshop.com
 * http://www.dierandgruppe.com
 * 
 * Unter der Lizenz von Die Randgruppe GmbH:
 * http://www.randshop.com/Lizenz
 *  
 * $Author$
 * $Date$
 * $Revision$
 * 
 */

	session_start(); 

	// PHP-Includes
	include_once("../../conf/config.inc.php");
	include_once("../../conf/db.inc.php");
	//include_once("../global_off.inc.php");
	include_once(DATEIPFAD . "includes/functions.shopeinstellung.inc.php");
	include_once(DATEIPFAD . "includes/functions.global.inc.php");
	include_once("../../includes/language/langu_" . LANGU_ADMIN . ".inc.php");
	include_once("../../includes/language/langu_admin_" . LANGU_ADMIN . ".inc.php");
	include_once(DATEIPFAD . 'includes/functions.language.inc.php');
	if(RECHNUNGSWESEN) {
		include_once(DATEIPFAD . "includes/functions.mod.bestellungen.inc.php");
	} else {
		include_once(DATEIPFAD . "includes/functions.bestellungen.inc.php");
	}
    include_once(DATEIPFAD . "includes/functions.bewertung.inc.php");
    include_once(DATEIPFAD . "includes/functions.cronjob.inc.php");
    include_once(DATEIPFAD . "includes/functions.zahlungsschnittstellen.inc.php");

    SendBewertungsAnfrageMails(); // TODO diesen Aufruf könnte man dann auch als 24h Cronjob mal einbauen
    CheckCronJobs();

	$_SESSION["sortfield"] = "";
	
	// ID der Bestellung ermitteln
	if ($_POST["bestellid"]) { $BestellID = $_POST["bestellid"]; }
	if ($_GET["bestellid"]) { $BestellID = $_GET["bestellid"]; }

	// Einstellungen für die Übersicht
	if ($_POST["searchfield"]) { $SearchField = $_POST["searchfield"]; }
	if ($_GET["searchfield"]) { $SearchField = $_GET["searchfield"]; }
	if ($_POST["searchstring"]) { $SearchString = $_POST["searchstring"]; }
	if ($_GET["searchstring"]) { $SearchString= $_GET["searchstring"]; }
	if ($_POST["dataoffset"]) { $DataOffset = $_POST["dataoffset"]; }
	if ($_GET["dataoffset"]) { $DataOffset = $_GET["dataoffset"]; }
	if ($_POST["datacount"]) { $DataCount = $_POST["datacount"]; }
	if ($_GET["datacount"]) { $DataCount = $_GET["datacount"]; }
	if ($_POST["sortfield"]) { $SortField = $_POST["sortfield"]; }
	if ($_GET["sortfield"]) { $SortField = $_GET["sortfield"]; }
	if ($_POST["sortorder"]) { $SortOrder = $_POST["sortorder"]; }
	if ($_GET["sortorder"]) { $SortOrder = $_GET["sortorder"]; }
	if ($_REQUEST["bestellstatusid"]) { $BestellStatusID = $_REQUEST["bestellstatusid"]; }
	if ($_POST["bestellstatusid"]) { $BestellStatusID = $_POST["bestellstatusid"]; }
	if ($_GET["bestellstatusid"]) { $BestellStatusID = $_GET["bestellstatusid"]; }
	
    if($searchfield == TABLE_BESTELLEN . ".kunden_id")
       	$tpl_optionsearchlike = 0;
    else
       	$tpl_optionsearchlike = 1;
	
	// Sortierreihenfolge
	if ($_GET["formaction"] == "neworder") {
		
		if ($SortOrder == "asc") {
			$SortOrder = "desc";
		} else {
			$SortOrder = "asc";
		}
		
	}

	// Shopeinstellungen
	$ShopeinstellungObject = GetShopeinstellungDetail();


	// ****************************************************************************
	// ** Löschen einer Bestellung
	// ****************************************************************************

	// Bestätigung der Aktion
	if (($_GET["formaction"] == "loeschen") && (!$_GET["confirmaction"])) {
	
		$BestellObject = GetBestellenDetail($BestellID);
				
		$FormError = true;
		$FormErrorMessage = sprintf($a_bs_msg_bestellungloeschen, $BestellObject->auftragsnummer);
		$FormErrorButtonArray[0]["link"] = "index.php?formaction=loeschen&confirmaction=true&bestellstatusid=" . $BestellStatusID . "&bestellid=" . $BestellID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount;
		$FormErrorButtonArray[0]["text"] = $a_ja;
		$FormErrorButtonArray[1]["link"] = "index.php?bestellstatusid=" . $BestellStatusID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount;
		$FormErrorButtonArray[1]["text"] = $a_nein;

	}

	// Löschen der Daten
	if (($_GET["formaction"] == "loeschen") && ($_GET["confirmaction"] == "true")) {

        $BestellObject = GetBestellenDetail($BestellID);
        if($BestellObject->zahlungsschnittstelle_id && ($paymentInterface = getPaymentInterface($BestellObject->zahlungsschnittstelle_id, 'de_DE'))) {
            if($paymentInterface->getPluginCaps('cancelPayment')) {
                $KundenObject = GetKundenDetail('', $BestellObject->kunden_id);
                $WaehrungObject = GetWaehrungDetail();
                $paymentInterface->validateAndSetPaymentChoice(LoadPaymentInterfaceBestellParams($BestellID));
                $orderObject = createPaymentInterfaceOrderFromBestellObject($BestellObject, $WaehrungObject, $KundenObject);
                $paymentInterface->cancelPayment($orderObject, $BestellObject->zahlungsschnittstelle_freiesfeld);
            }
        }

        // Bestellung löschen
		DeleteBestellung($BestellID);

    }

	// ********************************************************************************
	// ** Fehlermeldung aufbereiten
	// ********************************************************************************
	if ($FormError) {
	
		$FormErrorString = "<table cellspacing=\"0\" cellpadding=\"1\" border=\"0\" width=\"100%\">";
		$FormErrorString .= "<tr>";
		$FormErrorString .= "<td class=\"fehler\">";
		$FormErrorString .= $FormErrorMessage;
		$FormErrorString .= "</td>";		
		
		if ($FormErrorButtonArray) {
			
			$FormErrorString .= "<tr>";
			$FormErrorString .= "<td>";

			foreach ($FormErrorButtonArray as $FormErrorButton) {
				
				$FormErrorString .= "<a href=\"" . $FormErrorButton["link"] . "\">" . $FormErrorButton["text"] . "</a> | ";
				
			}
			
			$FormErrorString = substr($FormErrorString, 0, strlen($FormErrorString) - 3);
			
			$FormErrorString .= "</td>";		
			$FormErrorString .= "</tr>";

		}
		
		$FormErrorString .= "</tr>";
		$FormErrorString .= "</table>";
		$FormErrorString .= "<br>";
		
	}

    if(RECHNUNGSWESEN)
    {

        if($BestellStatusID)
        {
            $tpl_folgestatusArrayUnbezahlt = GetBestellStatusFolgeStatusArray($BestellStatusID, false);
            $tpl_folgestatusArrayBezahlt = GetBestellStatusFolgeStatusArray($BestellStatusID, true);
            $tpl_bestellstatusArray = GetBestellstatusDataArray();
            
            $temp_statuswechsel_array = $tpl_folgestatusArrayUnbezahlt;
            if($tpl_folgestatusArrayBezahlt) {
                foreach($tpl_folgestatusArrayBezahlt as $StatusID=>$dummy) {
                    $temp_statuswechsel_array[$StatusID] = true;
                }
            }
                        
            $tpl_Aktionen_array = GetBestellstatusAktionenArray();
            foreach($tpl_bestellstatusArray as $bestellstatus)
            {
                if($temp_statuswechsel_array[$bestellstatus["id"]])
                {
                    $tpl_statuswechsel_array[$bestellstatus["id"]]->text = $bestellstatus["name"];
                    
                    $StatusAktionen = GetAktionenForBestellstatus($bestellstatus["id"]);
                    if($StatusAktionen)
                    {
                        foreach($StatusAktionen as $StatusAktion=>$dummy)
                        {
                            $tpl_statuswechsel_array[$bestellstatus["id"]]->aktionen[$StatusAktion] = $tpl_Aktionen_array[$StatusAktion];
                        }
                    }
                }
            }    
        }
        
		SetMahnStufe1();
		SetMahnStufe2();
		SendZahlungserinnerungsMails();
	}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
	<title><?php echo $a_admin;?></title>
	<link rel="stylesheet" type="text/css" href="../style/style.css">
	<script language="JavaScript" src="../../js_function/global.js" type="text/javascript"></script>
    <script language="JavaScript" src="../../js_function/jquery.js" type="text/javascript"></script>

    <?php if(RECHNUNGSWESEN)
    { ?>

    <script type="text/javascript">
        function UpdateStatusCombo(bezahlstring)
        {
            if(self.document.form_massenverarbeitung.elements['bestellstatus_neu_'+bezahlstring].value == "-1")
            {
                self.document.form_massenverarbeitung.statuswechselbutton.disabled=true;
                self.document.getElementById("stornierungstabrow_"+bezahlstring).style.visibility = 'hidden';
                self.document.getElementById("aktion_row_ueberschrift_"+bezahlstring).style.display = 'none';
                <?php if($tpl_Aktionen_array) {
                    foreach($tpl_Aktionen_array as $AktionsId=>$AktionsText) { ?>
                        self.document.getElementById("aktion_row_id_"+bezahlstring+'_'+<?php echo $AktionsId?>).style.display = 'none';
                <?php     }
                } ?>
                
            }
            else
            {
                self.document.form_massenverarbeitung.status_wechseln.disabled=false;
                
                <?php if($tpl_statuswechsel_array) { ?>
                    switch(self.document.form_massenverarbeitung.elements['bestellstatus_neu_'+bezahlstring].value)
                    {
                    <?php foreach($tpl_statuswechsel_array as $StatusId=>$Status) { ?>
                    case "<?php echo $StatusId?>":
                        <?php if($Status->aktionen) { ?>
                        self.document.getElementById("aktion_row_ueberschrift_"+bezahlstring).style.display = '';
                            <?php if($Status->aktionen[STATUSAKTION_STORNIEREN]) { ?>
                            self.document.getElementById("stornierungstabrow_"+bezahlstring).style.visibility = 'visible';
                            <?php } else { ?>
                            self.document.getElementById("stornierungstabrow_"+bezahlstring).style.visibility = 'hidden';
                            <?php } ?>
                        <?php } else { ?>
                        self.document.getElementById("stornierungstabrow_"+bezahlstring).style.visibility = 'hidden';
                        self.document.getElementById("aktion_row_ueberschrift_"+bezahlstring).style.display = 'none';
                        <?php } ?>
    
                        <?php if(tpl_Aktionen_array) {
                            foreach($tpl_Aktionen_array as $AktionsId=>$AktionsText) {
                                if($Status->aktionen[$AktionsId]) { ?>
                                self.document.getElementById("aktion_row_id_"+bezahlstring+'_'+<?php echo $AktionsId?>).style.display = '';
                                <?php } else { ?>
                                self.document.getElementById("aktion_row_id_"+bezahlstring+'_'+<?php echo $AktionsId?>).style.display = 'none';
                                <?php } ?>
                            <?php }
                        } ?>
                        break;    
                    <?php } ?>
                    }
                <?php } ?>
            }
        }

        function checkUncheckAll(e) {
            $('input[name^="select["]').attr('checked', e.checked);
        }

    </script>
    <?php } ?>
    
	<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET?>">
	<meta http-equiv="cache-control" content="no-cache">
	<meta http-equiv="pragma" content="no-cache">
	<meta HTTP-EQUIV="Expires" CONTENT="0">
</head>

<body class="mainBackground">
<?php

	echo $FormErrorString;

	// ********************************************************************************
	// ** Standardeinstellungen für die Übersicht
	// ********************************************************************************
	
	if (!$DataOffset) { $DataOffset = 0; };
	if (!$DataCount) { $DataCount = 30; };
	if (!$SortField) { $SortField = TABLE_BESTELLEN . ".id"; };
	if (!$SortOrder) { $SortOrder = "desc"; };
	if (!$BestellStatusID && !RECHNUNGSWESEN) { $BestellStatusID = BESTELLSTATUS_EINGEGANGEN; } 
	
    if($SearchField == TABLE_BESTELLEN . ".gesamtsumme_brutto" && $_POST["bestellaction"] == "1") {
        $SearchString = parsePreisEingabe($_POST["searchstring"]);
    }

	// ********************************************************************************
	// ** Suche
	// ********************************************************************************
	echo "<table cellspacing=\"2\" cellpadding=\"2\" border=\"0\">\n";
	echo "<form name=\"form_suchen\" method=\"post\" action=\"index.php\">\n";
	echo "<input type=\"hidden\" name=\"sortfield\" value=\"" . $SortField . "\">\n";
	echo "<input type=\"hidden\" name=\"sortorder\" value=\"" . $SortOrder . "\">\n";
	echo "<input type=\"hidden\" name=\"bestellstatusid\" value=\"" . $BestellStatusID . "\">\n";
    echo "<input type=\"hidden\" name=\"bestellaction\" value=\"1\">\n";
	echo "<tr>\n";
	echo "<td>$a_sucheNach</td>\n";
	echo "<td>";
	echo "<select name=\"searchfield\" class=\"formselect_klein\">\n";

	if ($SearchField == TABLE_BESTELLEN . ".auftragsnummer") {
		echo "<option value=\"" . TABLE_BESTELLEN . ".auftragsnummer\" selected>" . $a_bs_auftragsnummer . "</option>\n";
	} else {
		echo "<option value=\"" . TABLE_BESTELLEN . ".auftragsnummer\">" . $a_bs_auftragsnummer . "</option>\n";
	}
	
	if ($SearchField == TABLE_BESTELLEN . ".rechnungsnummer") {
		echo "<option value=\"" . TABLE_BESTELLEN . ".rechnungsnummer\" selected>" . $a_bs_rechnungsnummer . "</option>\n";
	} else {
		echo "<option value=\"" . TABLE_BESTELLEN . ".rechnungsnummer\">" . $a_bs_rechnungsnummer . "</option>\n";
	}
	
	if ($SearchField == TABLE_BESTELLEN . ".kunden_id") {
		echo "<option value=\"" . TABLE_BESTELLEN . ".kunden_id\" selected>" . $a_bs_kundennummer . "</option>\n";
	} else {
		echo "<option value=\"" . TABLE_BESTELLEN . ".kunden_id\">" . $a_bs_kundennummer . "</option>\n";
	}

	if ($SearchField == TABLE_BESTELLEN . ".vorname") {
		echo "<option value=\"" . TABLE_BESTELLEN . ".vorname\" selected>" . $a_bs_vorname . "</option>\n";
	} else {
		echo "<option value=\"" . TABLE_BESTELLEN . ".vorname\">" . $a_bs_vorname . "</option>\n";
	}

	if ($SearchField == TABLE_BESTELLEN . ".nachname") {
		echo "<option value=\"" . TABLE_BESTELLEN . ".nachname\" selected>" . $a_bs_nachname . "</option>\n";
	} else {
		echo "<option value=\"" . TABLE_BESTELLEN . ".nachname\">" . $a_bs_nachname . "</option>\n";
	}

	if ($SearchField == TABLE_BESTELLEN . ".firma") {
		echo "<option value=\"" . TABLE_BESTELLEN . ".firma\" selected>" . $a_bs_firma . "</option>\n";
	} else {
		echo "<option value=\"" . TABLE_BESTELLEN . ".firma\">" . $a_bs_firma . "</option>\n";
	}

    if ($SearchField == TABLE_BESTELLEN . ".gesamtsumme_brutto") {
        echo "<option value=\"" . TABLE_BESTELLEN . ".gesamtsumme_brutto\" selected>" . $l_preis . "</option>\n";
    } else {
        echo "<option value=\"" . TABLE_BESTELLEN . ".gesamtsumme_brutto\">" . $l_preis . "</option>\n";
    }
	
	if(file_exists(DATEIPFAD . "admin/ebay")) {
		if ($SearchField == TABLE_EBAY_TRANSACTIONS . ".item_id") {
			echo "<option value=\"" . TABLE_EBAY_TRANSACTIONS . ".item_id\" selected>" . $a_eb_item_id . "</option>\n";
		} else {
			echo "<option value=\"" . TABLE_EBAY_TRANSACTIONS . ".item_id\">" . $a_eb_item_id . "</option>\n";
		}
		
		if ($SearchField == TABLE_EBAY_TRANSACTIONS . ".ebay_user_id") {
			echo "<option value=\"" . TABLE_EBAY_TRANSACTIONS . ".ebay_user_id\" selected>" . $a_eb_user_id . "</option>\n";
		} else {
			echo "<option value=\"" . TABLE_EBAY_TRANSACTIONS . ".ebay_user_id\">" . $a_eb_user_id . "</option>\n";
		}
	}
	
	echo "</select></td>\n";
	echo "<td><input type=\"text\" name=\"searchstring\" value=\"" . $SearchString . "\" size=\"15\"></td>\n";
	echo "<td><input type=\"submit\" name=\"suchen\" value=\"" . $a_ar_button_suchen . "\"></td>\n";
	echo "<td><input type=\"reset\" name=\"zuruecksetzen\" value=\"" . $a_ar_button_zuruecksetzen . "\" onclick=\"document.form_suchen.searchfield.options[0].selected = true; document.form_suchen.searchstring.value = 0; document.form_suchen.submit();\"></td>\n";
	echo "</tr>\n";
	echo "</form>\n";
	echo "</table><br>\n";

	// ********************************************************************************
	// ** �bersicht der Artikel
	// ********************************************************************************
	
	$BestellDataArray = GetBestellDataArray($SearchField, $SearchString, $SortField, $SortOrder, $DataOffset, $DataCount, $BestellStatusID, $tpl_optionsearchlike, "", "", "", "", DOCUMENT_ID_BESTELLUNG);
	
	if($BestellStatusID) {
		$BestellStatusDetailObject = GetBestellstatusDetail($BestellStatusID);
		echo "<strong>" . $BestellStatusDetailObject->name . "</strong>";
	} else {
		echo "<strong>" . $lang_alle . " " . $lang_admin_bestellungen . "</strong>";
	}
	
    echo "<form name=\"form_massenverarbeitung\" method=\"post\" action=\"bestellstatuswechseln.php\" target=\"bestellstatuswechsel_popup\" onSubmit=\"window.open('about:blank', 'bestellstatuswechsel_popup', 'width=450, height=100')\">\n";
    echo "<input type=\"hidden\" name=\"formaction\" value=\"status_wechseln\">\n";
	echo "<table cellspacing=\"2\" cellpadding=\"2\" border=\"0\" width=\"100%\">\n";
	echo "<tr>\n";
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"120\" height=\"1\" border=\"0\"></td>\n";
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"40\" height=\"1\" border=\"0\"></td>\n";
	echo "<td width=\"91%\"><img src=\"../images/trans.gif\" width=\"1\" height=\"1\" border=\"0\"></td>\n";
    if($BestellStatusID) {
        echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"40\" height=\"1\" border=\"0\"></td>\n";
    }
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"40\" height=\"1\" border=\"0\"></td>\n";
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"150\" height=\"1\" border=\"0\"></td>\n";
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"30\" height=\"1\" border=\"0\"></td>\n";
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"50\" height=\"1\" border=\"0\"></td>\n";
	if(RECHNUNGSWESEN) {
		echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"15\" height=\"1\" border=\"0\"></td>\n";
	}
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"30\" height=\"1\" border=\"0\"></td>\n";
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"30\" height=\"1\" border=\"0\"></td>\n";
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"150\" height=\"1\" border=\"0\"></td>\n";
	if(file_exists(DATEIPFAD . "admin/ebay")) {
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"50\" height=\"1\" border=\"0\"></td>\n";
	echo "<td width=\"1%\"><img src=\"../images/trans.gif\" width=\"50\" height=\"1\" border=\"0\"></td>\n";
	}
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td class=\"tdBackground1\"><b><a href=\"index.php?formaction=neworder&bestellstatusid=" . $BestellStatusID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . TABLE_BESTELLEN . ".auftragsnummer&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $a_bs_auftrag . "</a></b>";
	if(RECHNUNGSWESEN) {
		echo "<br><b><a href=\"index.php?formaction=neworder&bestellstatusid=" . $BestellStatusID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . TABLE_BESTELLEN . ".rechnungsnummer&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $a_bs_rechnung . "</a></b>";
	}
	echo "</td>\n";
//	echo "<td class=\"tdBackground1\"><b><a href=\"index.php?formaction=neworder&bestellstatusid=" . $BestellStatusID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . TABLE_BESTELLEN . ".auftragsnummer&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $a_bs_auftrag . "</a></b></td>\n";
	echo "<td class=\"tdBackground1\"><b><a href=\"index.php?formaction=neworder&bestellstatusid=" . $BestellStatusID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . TABLE_BESTELLEN . ".kunden_id&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $a_bs_kundennummer . "</a></b></td>\n";
	echo "<td class=\"tdBackground1\"><b><a href=\"index.php?formaction=neworder&bestellstatusid=" . $BestellStatusID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . TABLE_BESTELLEN . ".firma, " . TABLE_BESTELLEN . ".nachname&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $a_bs_kunde . "</a></b></td>\n";
    if($BestellStatusID) {
        echo "<td class=\"tdBackground1\"><input type=\"checkbox\" onchange=\"checkUncheckAll(this);\"></td>\n";
    }
	echo "<td class=\"tdBackground1\"><b><a href=\"index.php?formaction=neworder&bestellstatusid=" . $BestellStatusID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . TABLE_BESTELLEN . ".email&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $a_bs_email . "</a></b></td>\n";
	echo "<td class=\"tdBackground1\"><b><a href=\"index.php?formaction=neworder&bestellstatusid=" . $BestellStatusID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . TABLE_BESTELLEN . ".zahlungsart_name&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $a_bs_zahlungsart . "</a></b></td>\n";
	echo "<td class=\"tdBackground1\" align=\"right\"><b><a href=\"index.php?formaction=neworder&bestellstatusid=" . $BestellStatusID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . TABLE_KUNDEN . ".bestellungen&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $a_bs_bestellunganzahl . "</a></b></td>\n";
	echo "<td class=\"tdBackground1\" align=\"right\"><b><a href=\"index.php?formaction=neworder&bestellstatusid=" . $BestellStatusID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . TABLE_BESTELLEN . ".gesamtsumme_netto&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $a_bs_betrag . "</a></b></td>\n";
	if(RECHNUNGSWESEN) {
		echo "<td class=\"tdBackground1\">&nbsp;</td>";
	}
	echo "<td class=\"tdBackground1\">&nbsp;</td>\n";
	echo "<td class=\"tdBackground1\">&nbsp;</td>\n";
	echo "<td class=\"tdBackground1\">&nbsp;</td>\n";
	if(file_exists(DATEIPFAD . "admin/ebay")) {
		echo "<td class=\"tdBackground1\"><b><a href=\"index.php?formaction=neworder&bestellstatusid=" . $BestellStatusID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . TABLE_EBAY_TRANSACTIONS . ".item_id&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $a_eb_item_id . "</a></b></td>\n";
		echo "<td class=\"tdBackground1\"><b><a href=\"index.php?formaction=neworder&bestellstatusid=" . $BestellStatusID . "&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . TABLE_EBAY_TRANSACTIONS . ".ebay_user_id&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $a_eb_user_id . "</a></b></td>\n";
	}
	echo "</tr>\n";


	foreach ($BestellDataArray as $BestellData) {

		// Zebrastreifenmuster
		if ($BackgroundClass == "tdBackground2") {
			$BackgroundClass = "";
		} else {
			$BackgroundClass = "tdBackground2";
		}
		
		// Kundenname
		if ($BestellData["firma"]) {

			if ($BestellData["vorname"]) {
				$Kundenname = "<nobr>". $BestellData["firma"] . "</nobr><br><nobr>" . $BestellData["anrede"] . " " . $BestellData["vorname"] . " " . $BestellData["nachname"] . "</nobr>";
			} else {
				$Kundenname = "<nobr>" . $BestellData["firma"] . "</nobr><br><nobr>" . $BestellData["anrede"] . " " . $BestellData["nachname"] . "</nobr>";
			}
			
		} else {
			
			if ($BestellData["vorname"]) {
				$Kundenname = "<nobr>" . $BestellData["anrede"] . " " . $BestellData["vorname"] . " " . $BestellData["nachname"] . "</nobr>";
			} else {
				$Kundenname = "<nobr>" . $BestellData["anrede"] . " " . $BestellData["nachname"] . "</nobr>";
			}

		}
		
		// Gesamtsumme
        if ($BestellData['kundengruppentype'] == 3) {
            $GesamtSumme = $BestellData["gesamtsumme_netto_format_einfach"];
            if($BestellData['gesamtsumme_storno_netto'] > 0)
                $GesamtSummeStorno = $BestellData["gesamtsumme_storno_netto_format_einfach"];
            else
                $GesamtSummeStorno = false;
		} else {
            $GesamtSumme = $BestellData["gesamtsumme_brutto_format_einfach"];
            if($BestellData['gesamtsumme_storno_brutto'] > 0)
                $GesamtSummeStorno = $BestellData["gesamtsumme_storno_brutto_format_einfach"];
            else
                $GesamtSummeStorno = false;
        }
		
		// Mail-Subject
		if ($ShopeinstellungObject->url) {
			$MailSubject = str_replace("http://", "", $ShopeinstellungObject->url) . " - " . sprintf($mail_bestellung_betreff, $BestellData["auftragsnummer"], $BestellData["auftragsdatum_format"]);
		} elseif ($ShopeinstellungObject->firmen_titel) {
			$MailSubject = $ShopeinstellungObject->firmen_titel . " - " . sprintf($mail_bestellung_betreff, $BestellData["auftragsnummer"], $BestellData["auftragsdatum_format"]);
		} else {
			$MailSubject = $ShopeinstellungObject->name . " - " . sprintf($mail_bestellung_betreff, $BestellData["auftragsnummer"], $BestellData["auftragsdatum_format"]);
		}
			
			$MailBody = "&body=".$mailVersandanrede. " " .$BestellData["anrede"] . " " . $BestellData["vorname"] . " " . $BestellData["nachname"].",";
				
		echo "<tr>\n";
		echo "<td class=\"" . $BackgroundClass . "\" valign=\"top\"><a href=\"" . URLPFAD . "admin/bestellungen/auftragsbestaetigung.php?bestell_id=" . $BestellData["id"] . "\" target=\"_blank\">" . $BestellData["auftragsnummer"] . " / " . $BestellData["auftragsdatum_format"] . "</a>";
		if(RECHNUNGSWESEN) {
			echo "<br><a href=\"" . URLPFAD . "admin/bestellungen/rechnung_anzeigen.php?bestellid=" . $BestellData["id"] . "&dokumentenformat=1\" target=\"_blank\">" . $BestellData["rechnungsnummer"] . " / " . $BestellData["rechnungsdatum_format"] . "</a>";
		}
		echo "</td>\n";
//		echo "<td class=\"" . $BackgroundClass . "\" valign=\"top\"><a href=\"" . URLPFAD . "themes/bestellen/auftragsbestaetigung.php?session=" . $BestellData["session"] . "\" target=\"_blank\">" . $BestellData["auftragsnummer"] . " / " . $BestellData["auftragsdatum_format"] . "</a></td>\n";
		echo "<td class=\"" . $BackgroundClass . "\" valign=\"top\">" . $BestellData["kunden_id"] . "</td>\n";
		echo "<td class=\"" . $BackgroundClass . "\" valign=\"top\">" . $Kundenname . "</td>\n";
        if($BestellStatusID) {
            echo "<td class=\"" . $BackgroundClass . "\" valign=\"top\"><input type=\"checkbox\" name=\"select[" . $BestellData["id"] . "]\"></td>\n";
        }
        echo "<td class=\"" . $BackgroundClass . "\" valign=\"top\" align=\"center\"><a href=\"mailto:" . $BestellData["email"] . "?subject=" . $MailSubject . $MailBody ."\"><img src=\"../images/email.gif\" width=\"19\" height=\"15\" border=\"0\"></a></td>\n";
		echo "<td class=\"" . $BackgroundClass . "\" valign=\"top\">" . $BestellData["zahlungsart_name"] . "</td>\n";
		echo "<td class=\"" . $BackgroundClass . "\" align=\"right\" valign=\"top\">" . $BestellData["bestellungen"] . "</td>\n";
		echo "<td class=\"" . $BackgroundClass . "\" align=\"right\" valign=\"top\">" . $GesamtSumme . ($GesamtSummeStorno?' (<del>' . $GesamtSummeStorno . '</del>)':'') . "</td>\n";
		if(RECHNUNGSWESEN) {
			if($BestellData["erinnerungdatum_format"] != 0) {
				$ErinnerungsDatum = $BestellData["erinnerungdatum_format"];
			} else {
				$ErinnerungsDatum = "";
			}
			echo "<td class=\"" . $BackgroundClass . "\" align=\"right\" valign=\"top\">" . $ErinnerungsDatum . "</td>\n";
		}
		echo "<td class=\"" . $BackgroundClass . "\" align=\"center\">";
        if($BestellData['moral'])
            echo "<img src=\"../images/moral_" . sprintf("%04d", $BestellData["moral"]) . ".gif\" width=\"8\" height=\"8\" border=\"0\">";
        else
            echo '-';
        echo "</td>\n";
		echo "<td class=\"" . $BackgroundClass . "\" align=\"center\"><a href=\"index.php?bestellid=" . $BestellData["id"] . "&formaction=loeschen\"><img src=\"../images/loeschen_button.gif\" width=\"13\" height=\"12\" alt=\"$a_eintragLoesch\" border=\"0\"></a></td>\n";
		echo "<td class=\"" . $BackgroundClass . "\">";
		echo "&nbsp;&nbsp;<a href=\"bestellung_bearbeiten.php?bestellstatusid=" . $BestellStatusID . "&bestellid=" . $BestellData["id"] . "&sourceid=1&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . $DataOffset . "&datacount=" . $DataCount . "\">" . $a_bs_bestellungbearbeiten . "</a>";
        if($BestellData['bezahldatum'] > 0) {
            if (!$BestellData["gutschrift_child_id"]) {
                echo "<br />&nbsp;&nbsp;<nobr><a href=\"gutschriften.php?bestellid=" . $BestellData["id"] . "&formaction=gutschriftanlegen\">Gutschrift</a></nobr>";
            } else {
                echo "<br />&nbsp;&nbsp;<nobr>Gutschrift</nobr>";
            }
        }
		echo "</td>\n";
		if(file_exists(DATEIPFAD . "admin/ebay")) {
		echo "<td class=\"" . $BackgroundClass . "\" valign=\"top\">" . $BestellData["ebay_item_id"] . "</td>\n";
		echo "<td class=\"" . $BackgroundClass . "\" valign=\"top\">" . $BestellData["ebay_user_id"] . "</td>\n";
		}
		
		echo "</tr>\n";

	}
	
	echo "</table><br>\n";
	?>
    
    <?php if(RECHNUNGSWESEN && $BestellStatusID) {?>
    <table cellspacing="0" cellpadding="0" border="0" width="1%">
    <tr>
        <td><?php echo $lang_neuerstatus_unbezahlt ?></td>
        <td><?php echo $lang_neuerstatus_bezahlt ?></td>
        <td></td>
    </tr>
    <tr>
    <td valign="top">
        <table>
            <tr>
                <td>
        <select name="bestellstatus_neu_unbezahlt" onchange="UpdateStatusCombo('unbezahlt');">
        <option value="-1"><?php echo $lang_status_beibehalten?></option>
        <?php foreach($tpl_bestellstatusArray as $bestellstatus) {
            if($tpl_folgestatusArrayUnbezahlt[$bestellstatus['id']]) { ?>
            <option value="<?php echo $bestellstatus['id']?>"><?php echo $bestellstatus['name']?></option>
        <?php }
        }?>
        </select>
                </td>
            </tr>
            <tr id="stornierungstabrow_unbezahlt" style="visibility:hidden">

                <td width="1%" nowrap>&nbsp;&nbsp;<?php echo $a_bs_stornierungsgrund?>:&nbsp;
                <input name="stornierungstext_unbezahlt" value="<?php echo "" . $BestellObject->stornierungstext?>" class="forminput_text"></td>
            </tr>
            <tr id="aktion_row_ueberschrift_unbezahlt" style="display:none">
                <td>
                    <span class="klein">Aktionen beim Wechsel in diesen Status:</span>
                </td>
            </tr>
            <?php foreach($tpl_Aktionen_array as $AktionsId=>$AktionsText) { ?>
            <tr id="<?php echo "aktion_row_id_unbezahlt_" . $AktionsId?>" style="display:none">
                <td>
                    <span class="klein">&nbsp;<?php echo $AktionsText?></span>
                </td>
            </tr>
            <?php } ?>
            
        </table>
    </td>
    <td valign="top">
        <table>
        <tr>
        <td>
        <select name="bestellstatus_neu_bezahlt" onchange="UpdateStatusCombo('bezahlt');">
        <option value="-1"><?php echo $lang_status_beibehalten?></option>
        <?php foreach($tpl_bestellstatusArray as $bestellstatus) {
            if($tpl_folgestatusArrayBezahlt[$bestellstatus['id']]) { ?>
            <option value="<?php echo $bestellstatus['id']?>"><?php echo $bestellstatus['name']?></option>
        <?php }
        }?>
        </select>
        </td>        
        </tr>
        <tr id="stornierungstabrow_bezahlt" style="visibility:hidden">
            <td width="1%" nowrap>&nbsp;&nbsp;<?php echo $a_bs_stornierungsgrund?>:&nbsp;
            <input name="stornierungstext_bezahlt" value="<?php echo "" . $BestellObject->stornierungstext?>" class="forminput_text"></td>
        </tr>
        <tr id="aktion_row_ueberschrift_bezahlt" style="display:none">
            <td>
                <span class="klein">Aktionen beim Wechsel in diesen Status:</span>
            </td>
        </tr>
        <?php foreach($tpl_Aktionen_array as $AktionsId=>$AktionsText) { ?>
        <tr id="<?php echo  "aktion_row_id_bezahlt_" . $AktionsId?>" style="display:none">
            <td>
                <span class="klein">&nbsp;<?php echo $AktionsText?></span>
            </td>
        </tr>
        <?php } ?>
        
        </table>
    </td>
    <td valign="top">
        <input type="submit" name="status_wechseln" value="<?php echo $lang_statuswechseln?>" disabled="disabled">
    </td>
    </tr>
    </table>
    <?php } ?>
    
    <?php 
    echo "</form>\n";

	// ********************************************************************************
	// ** Vor- und Zur�ck-Button
	// ********************************************************************************

	$BestellAnzahlObject = GetBestellAnzahl($SearchField, $SearchString, $BestellStatusID, true);
	$BestellAnzahl = $BestellAnzahlObject->BestellAnzahl;
	
	echo "<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" align=\"center\">\n";
	echo "<tr>\n";

	// Zur�ck-Button
	if ($DataOffset > 0) {
      echo "<td>\n";
      echo "<a href=\"index.php?bestellstatusid=".$BestellStatusID."&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . ($DataOffset - $DataCount) . "&datacount=" . $DataCount . "\"><b>" . sprintf($a_bs_button_zurueck, $DataCount). "</b></a>";
      echo "</td>\n";
	}
	
	echo "<td>&nbsp;&nbsp;</td>\n";

	// Vor-Button
	if ($BestellAnzahl > ($DataOffset + $DataCount)) {
		
		if (($BestellAnzahl - $DataCount - $DataOffset) > $DataCount) {
			$WeitereEintraege = $DataCount;
		} else {
			$WeitereEintraege = $BestellAnzahl - $DataCount - $DataOffset;
		}	
		
		echo "<td>\n";
      	echo "<a href=\"index.php?bestellstatusid=".$BestellStatusID."&searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . ($DataOffset + $DataCount) . "&datacount=" . $DataCount . "\"><b>" . sprintf($a_bs_button_vor, $WeitereEintraege). "</b></a>";
      	echo "</td>\n";
		
	}
	
	echo "</tr>\n";
	echo "</table>\n";
	
	echo "<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" align=\"center\">\n";
	echo "<tr>\n";
	echo "<td>\n";
	$WaehrungsObject = GetWaehrungDetail();
	echo $BestellAnzahl . " " . $lang_bestellungen_summe_uebersicht . ": " . number_format($BestellAnzahlObject->gesamtsumme_netto, 2, ",", ".") . " " . $WaehrungsObject->symbol;
	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";

	// ********************************************************************************
	// ** Legende
	// ********************************************************************************

	$KundenZahlungsmoralArray = GetKundenZahlungsmoralList();

	echo "<table cellspacing=\"0\" cellpadding=\"3\" border=\"0\">";
	echo "<tr>";
	echo "<td colspan=\"2\"><b>" . $a_legende . "</b></td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td><img src=\"../images/loeschen_button.gif\" width=\"13\" height=\"12\" alt=\"" . sprintf($a_leg_loeschen, $a_bs_bestellung) . "\" border=\"0\"></td>";
	echo "<td>" . sprintf($a_leg_loeschen, $a_bs_bestellung) . "</td>";
	echo "</tr>";

	foreach ($KundenZahlungsmoralArray as $KundenZahlungsmoral) {
		echo "<tr>";
		echo "<td><img src=\"../images/moral_" . sprintf("%04d", $KundenZahlungsmoral["kundenzahlungsmoralid"]) . ".gif\" width=\"8\" height=\"8\" border=\"0\" alt=\"" . $KundenZahlungsmoral["zahlungsmoral"] . "\"></td>";
		echo "<td>" . $a_k_zahlungsmoral . ": " . $KundenZahlungsmoral["zahlungsmoral"] . "</td>";
		echo "</tr>";
	}

	echo "</table>";

?>

</body>
</html>
