<?php

/**
 * 
 * Copyright (C) Die Randgruppe GmbH
 * 
 * http://www.randshop.com
 * http://www.dierandgruppe.com
 * 
 * Unter der Lizenz von Die Randgruppe GmbH:
 * http://www.randshop.com/Lizenz
 *  
 * $Author$
 * $Date$
 * $Revision$
 * 
 */


include_once(DATEIPFAD . "includes/functions.seo.inc.php");

include_once(DATEIPFAD . "includes/functions.bewertung.inc.php");
include_once(DATEIPFAD."includes/functions.hersteller.inc.php");
include_once(DATEIPFAD."includes/functions.banner.inc.php");
include_once(DATEIPFAD . "includes/functions.menue.inc.php");
include_once(DATEIPFAD . "includes/functions.customisation.inc.php");

//$mobilestyle = true;
if(MOBILE) {
    include_once(DATEIPFAD . "includes/functions.mod.mobile.inc.php");
    if(check_mobile($_SERVER['HTTP_USER_AGENT'])) $mobilestyle = true;
}

// Einstellungen einlesen
$Einstellungen = GetEinstellungen('', '', true);

// AJAX Anzeigeoptionen umwandeln
$AJAXSucheFeldauswahlAnzeigenArray = explode(" ", $Einstellungen->ajax_search->feldauswahl_anzeigen);
$Einstellungen->ajax_search->artikelnummer_anzeigen = in_array('artikelnummer', $AJAXSucheFeldauswahlAnzeigenArray);
$Einstellungen->ajax_search->artikelname_anzeigen = in_array('artikelname', $AJAXSucheFeldauswahlAnzeigenArray);
$Einstellungen->ajax_search->kurzbeschreibung_anzeigen = in_array('kurzbeschreibung', $AJAXSucheFeldauswahlAnzeigenArray);
$Einstellungen->ajax_search->artikelbeschreibung_anzeigen = in_array('artikelbeschreibung', $AJAXSucheFeldauswahlAnzeigenArray);
$Einstellungen->ajax_search->preis_anzeigen = in_array('preis', $AJAXSucheFeldauswahlAnzeigenArray);
$Einstellungen->ajax_search->artikelbild_anzeigen = in_array('artikelbild', $AJAXSucheFeldauswahlAnzeigenArray);

$tpl_feature_ajaxsearch = $Einstellungen->ajax_search->aktiv;
$tpl_meta_seo_title = $Einstellungen->meta->metatitel;
$tpl_pdfkatalog_check = $Einstellungen->artikel->pdf_katalog_check;
$tpl_gastbestellung_check = $Einstellungen->artikel->gastbestellung_check;
$tpl_bewertung_durchschnitt_check = $Einstellungen->artikel->bewertung_durchschnitt_check;



if(isset($_GET["katId"])) {
	$katid = $_GET["katId"];
}

		$abfrageLay = "SELECT * FROM " . TABLE_LAYOUT;
		$ergebnisLay = errorlogged_mysql_query($abfrageLay);
		$rowLay = mysql_fetch_object($ergebnisLay);
		
		$abfrageAll = "SELECT * FROM " . TABLE_ALLGEMEIN; 
		$ergebnisAll = errorlogged_mysql_query($abfrageAll);
		$rowAll = mysql_fetch_object($ergebnisAll);
		
		$abfrageFeat = "SELECT * FROM " . TABLE_FEATURE; 
		$ergebnisFeat = errorlogged_mysql_query($abfrageFeat);
		$rowFeat = mysql_fetch_object($ergebnisFeat);
		$tpl_rowFeat = $rowFeat->news;
				
		// Ueberpruefung, ob Datei fuer Bestellungen da ist
		$filename = DATEIPFAD."themes/user/bestelluebersicht.inc.php";
		
		if (file_exists($filename)) {
   		$bestellLink = true;
		} else {
   		$bestellLink = false;
		}
	
		// Template einlesen
        $rowTemp = GetTemplateDetail();

//Allgemeine Grundeinstellungen
define("PPBUSINESS", $rowAll->paypaladresse);	
$wievielEintraege = $rowAll->wieviel_eintraege; // Liste der Shopartikel in der Uebersicht
$bestSellerZahl = $rowAll->bestsellerzahl; // Anzahl der Bestsellerliste
$startAktuell = $rowAll->startaktuell; // Wieviele aktuelle Artikel sollen auf der Startseite angezeigt werden

define("TEMPLATEPFAD", URLPFAD . "templates/" . $rowTemp->name . "/design/" . $rowTemp->design . "/");


// Hier wird das Logo zusammengebaut
if(file_exists(DATEIPFAD . "images/dbimages/shop_logo.gif")) {
	$logoImageSize = getimagesize(DATEIPFAD . "images/dbimages/shop_logo.gif");
	$logoImage = "<img src=\"".IMAGEPFAD . "dbimages/shop_logo.gif\" alt=\"Logo\" />";
} else {
	$logoImageSize = getimagesize(DATEIPFAD . "templates/" . $rowTemp->name . "/design/" . $rowTemp->design . "/images/shop_logo.gif");
	$logoImage = "<img src=\"".URLPFAD . "templates/" . $rowTemp->name . "/design/" . $rowTemp->design . "/images/shop_logo.gif\" alt=\"Logo\" />";
}

if($_GET["kategorieid"]) {
    $CanonicalFB = "<link rel=\"canonical\" href=\"" . URLPFAD . "themes/kategorie/index.php?kategorieid=" . $_GET["kategorieid"] . "\" />";
}

// Herstellerliste
if($rowFeat->hersteller == "1") { $herstellerCheck="true"; } 


// Hier werden die einzelnen Module zusammengefasst
// suche

$StandardLanguageID = GetDefaultLanguageID();

if (!$tpl_feature_ajaxsearch) {

    $abfrage = "SELECT ";
    $abfrage .= TABLE_KATEGORIE . ".id, ";
    $abfrage .= "IFNULL(" . TABLE_KATEGORIE_LANGU . ".name, table_kategorie_langu_standard.name) AS name ";
    $abfrage .= "FROM ";
    $abfrage .= TABLE_KATEGORIE . " ";
    $abfrage .= "LEFT JOIN " . TABLE_KATEGORIE_LANGU . " ON ((" .TABLE_KATEGORIE . ".id = " . TABLE_KATEGORIE_LANGU . ".kategorie_id) AND (" . TABLE_KATEGORIE_LANGU . ".language_id = '" . $_SESSION["languageid"] . "'))";
    $abfrage .= "LEFT JOIN " . TABLE_KATEGORIE_LANGU . " table_kategorie_langu_standard ON ((" . TABLE_KATEGORIE . ".id = table_kategorie_langu_standard.kategorie_id) AND (table_kategorie_langu_standard.language_id = " . $StandardLanguageID . ")) ";
    $abfrage .= "WHERE ";
    $abfrage .= TABLE_KATEGORIE . ".parentid = '0' AND ";
    $abfrage .= TABLE_KATEGORIE  . ".aktiv = 1 ";
    $abfrage .= "ORDER BY " . TABLE_KATEGORIE . ".sort";
    
    $ergebnis = errorlogged_mysql_query($abfrage);
    $selectOptions = '';
    while($row = mysql_fetch_object($ergebnis)) {
        
        if ($_GET["suchekategorie"] == $row->id) {
        	$selectOptions .= '<option value="'. $row->id . '" selected>' . $row->name . "</option>";
        } else {
        	$selectOptions .= '<option value="'. $row->id . '">' . $row->name . "</option>";
        }
    }
    
}


$MenuDataArray = GetMenueList($_SESSION["languageid"], true);

foreach ($MenuDataArray as $MenuData) {
    $MenueIDArray[] = $MenuData['id'];
}

$SEOURLArray = Array();
$SEOURLArray = GetSEOURLArray($MenueIDArray, SEOURL_TYPE_MENUE, $_SESSION["languageid"], $SEOURLArray);

if ($MenuDataArray) {

    foreach ($MenuDataArray as $MenuData) {
	
		if($Einstellungen->menue_extras->widerrufsformular == $MenuData["id"]) {
			$menUrl = URLPFAD_NOSSL . "themes/topnavi/widerruf.php?menueId=" . $MenuData["id"];
		} elseif($Einstellungen->menue_extras->versandkosteninfo == $MenuData["id"]) {
            $menUrl = URLPFAD_NOSSL . "themes/topnavi/versandkosteninfo.php?menueId=" . $MenuData["id"];
        } elseif($MenuData["kontakt"] == "1") {
			$menUrl = URLPFAD_NOSSL . "themes/kontakt/index.php?menueId=" . $MenuData["id"];
		} else {
			$menUrl = GetMenueLink($MenuData["id"], $SEOURLArray['menue'][$MenuData["id"]]);
		}

		$menueNames[] = array('menHeadline'=>$MenuData["headline"],
													'menUrl'=>$menUrl);
	}

}


// Aufruf der neuen Versandseite
if($Einstellungen->menue_extras->versandkosteninfo == $rowAll->versandseite) {
    $tpl_versandInfoLink = URLPFAD . "themes/topnavi/versandkosteninfo.php?menueId=" . $rowAll->versandseite . "&amp;formaction=artikelseite";
} else {
    $tpl_versandInfoLink = URLPFAD . "themes/topnavi/index.php?id=" . $rowAll->versandseite . "&amp;formaction=artikelseite";
}




//CMS-Menuepunke
if (file_exists(DATEIPFAD . 'includes/functions.mod.cms.inc.php')) {
	
	include_once(DATEIPFAD . "includes/functions.mod.cms.inc.php");	
	
	$CMSKategorieDataArray = GetCMSKategorieTop($_SESSION["languageid"], true);

    if ($CMSKategorieDataArray) {
	
        foreach ($CMSKategorieDataArray as $CMSKategorie) {
            $CMSKategorieIDArray[] = $CMSKategorie['kategorieid'];
        }

        $SEOURLArray = GetSEOURLArray($CMSKategorieIDArray, SEOURL_TYPE_CMS_KATEGORIE, $_SESSION["languageid"], $SEOURLArray);
        
    }
    
	if ($CMSKategorieDataArray) {
		
	    foreach ($CMSKategorieDataArray as $CMSKategorie) {
					
            $menueNames[] = array('menHeadline' => $CMSKategorie["kategoriename"],
                                  'menId'       => $CMSKategorie["kategorieid"],
                                  'menUrl'      => GetCMSKategorieLink($CMSKategorie["kategorieid"], $SEOURLArray['cms_kategorie'][$CMSKategorie["kategorieid"]]));
		}
		
	}
	
}


$kategorieEinstellungen = GetEinstellungen('klappnavigation', 'kategorie');
if($kategorieEinstellungen->kategorie->klappnavigation) {
    $KategorieTreeAndMap = GetKategorieTreeAndMap($_SESSION['languageid']);
    $tpl_kategorieTree = $KategorieTreeAndMap['tree'];
    $KategorieIDArray = array_keys($KategorieTreeAndMap['map']);
} else {
    // Kategorien
    $KategorieArray = GetKategorie($_SESSION["languageid"]);

    foreach ($KategorieArray as $Kategorie) {
        $KategorieIDArray[] = $Kategorie['kategorieid'];
    }
}

$SEOURLArray = GetSEOURLArray($KategorieIDArray, SEOURL_TYPE_KATEGORIE, $_SESSION["languageid"], $SEOURLArray);

// Abfrage fuer die Hersteller -> Rest im Template
if (GetAnzahlHersteller() > 0) {
	$tpl_hersteller = "true";
	$HerstellerDataArray = GetHerstellerDataArray();
}

if ($HerstellerDataArray) {
    foreach ($HerstellerDataArray as $HerstellerData) {
        $HerstellerIDArray[] = $HerstellerData['id'];
    }
}

$SEOURLArray = GetSEOURLArray($HerstellerIDArray, SEOURL_TYPE_HERSTELLER, $_SESSION["languageid"], $SEOURLArray);

// ********************************************************************************
// ** Login / Logout / Preisinfo
// ********************************************************************************

if(isset($_GET["action"])) {
	if ($_GET["action"] == "abmelden") {
		
		$_SESSION['com'] = "false";
		$_SESSION['mail'] = "";
		$_SESSION['kunden_id'] = null;
		$_SESSION["kundengruppentype"] = "";
		$_SESSION['kunde_partner_key'] = "";
		
		unset($_SESSION["ajaxsearch"]);
		
		UpdateWarenkorbPreis($sessionId, $_SESSION["mail"]);
		
		//echo "<script>window.location.replace('" . URLPFAD_NOSSL . "index.php');</script>\n";
		header("Location: " . URLPFAD_NOSSL . "index.php");
		exit;
	} 
}



// ********************************************************************************
// ** Boxen
// ********************************************************************************

$tpl_boxArrayLeft = GetBoxList($_SESSION["languageid"], 1, 1);
$tpl_boxArrayRight = GetBoxList($_SESSION["languageid"], 1, 2);


//Modul: Partnerprogramm Schaue ob der Kunde ein Partner ist. (Für die Partneranzeige in der Artikeldetailansicht)

if(PARTNERPROGRAMM) {
	
	$SQLString = 'SELECT ';
	$SQLString .= TABLE_PARTNER . '.partner_key ';
	$SQLString .= 'FROM ' . TABLE_PARTNER . ' ';
	$SQLString .= "INNER JOIN " . TABLE_KUNDEN . " ON " . TABLE_PARTNER . ".partner_email = " . TABLE_KUNDEN . ".email ";
	$SQLString .= 'WHERE ' . TABLE_KUNDEN . '.email = \'' . $_SESSION['mail'] . '\'';
	
	
	if(mysql_num_rows(errorlogged_mysql_query($SQLString)) > 0){
		$_SESSION['kunde_partner_key'] = mysql_result(errorlogged_mysql_query($SQLString),0,0);
		
		
		$SQLString = 'SELECT ';
		$SQLString .= 'IFNULL(SUM(' . TABLE_PROVISIONEN . '.provision_summe),0.00) ';
		$SQLString .= 'FROM ' . TABLE_PROVISIONEN . ' ';
		$SQLString .= 'WHERE ' . TABLE_PROVISIONEN . '.partner_key = \'' . $_SESSION['kunde_partner_key'] . '\'';
		$SQLString .= 'AND ' . TABLE_PROVISIONEN . '.provision_bezahlt = 0 ';
		$SQLString .= 'AND ' . TABLE_PROVISIONEN . '.provision_aktiv = 1';

		$_SESSION['provision_offen'] = mysql_result(errorlogged_mysql_query($SQLString),0,0);		
		
		$SQLString = 'SELECT ';
		$SQLString .= 'IFNULL(SUM(' . TABLE_PROVISIONEN . '.provision_summe),0.00) ';
		$SQLString .= 'FROM ' . TABLE_PROVISIONEN . ' ';
		$SQLString .= 'WHERE ' . TABLE_PROVISIONEN . '.partner_key = \'' . $_SESSION['kunde_partner_key'] . '\'';
		$SQLString .= 'AND ' . TABLE_PROVISIONEN . '.provision_bezahlt = 1 ';
		$SQLString .= 'AND ' . TABLE_PROVISIONEN . '.provision_aktiv = 1';
		
		$_SESSION['provision_bezahlt'] = mysql_result(errorlogged_mysql_query($SQLString),0,0);		
			
	}
	
	
}


// Preisinfo
if(!isset($_SESSION["kundengruppentype"])) {

	$DefaultHeadKundengruppe = GetDefaultKundengruppe();
	$GetKundengruppenDefaultTyp = GetKundengruppenDetail($DefaultHeadKundengruppe, "", $_SESSION["languageid"]);
	$KundenGruppenTyp = $GetKundengruppenDefaultTyp->type;
	
} else {
	$KundenGruppenTyp = $_SESSION["kundengruppentype"];
}


// Aktionsangebote
include_once(DATEIPFAD . "includes/functions.aktionen.inc.php");

$AktionDataArray = GetAktionenDataArray($_SESSION["languageid"]);

foreach ($AktionDataArray as $AktionData) {	
    $aktionNames[] = array('akt_id'=>$AktionData["id"],'aktions_name'=>$AktionData["aktions_titel"]);
    $AktionsIDArray[] = $AktionData["id"];
}

$SEOURLArray = GetSEOURLArray($AktionsIDArray, SEOURL_TYPE_AKTION, $_SESSION["languageid"], $SEOURLArray);
	




/******************* Weiterempfehlen ***************************/
if($rowFeat->weiterempfehlen == "1")
{
	$empfehlen = "true";
	$tpl_firmname = $rowAll->firmen_titel;
}



/************************* Banner *****************************/
if ($rowFeat->banner == "1") {

	// gucken, wieviele Artikel sind vorhanden

	$StandardLanguageID = GetDefaultLanguageID();
	if(!$_SESSION["languageid"]) {
		$_SESSION["languageid"] = $StandardLanguageID = GetDefaultLanguageID();
	}

	$leerkontrolle = "SELECT ";
	$leerkontrolle .= "COUNT(" . TABLE_BANNER . ".id) AS anzahl ";
	$leerkontrolle .= "FROM ";
	$leerkontrolle .= TABLE_BANNER . " ";
	$leerkontrolle .= "LEFT JOIN " . TABLE_BANNER_LANGU . " ON ((" . TABLE_BANNER . ".id = " . TABLE_BANNER_LANGU . ".banner_id) AND (" . TABLE_BANNER_LANGU . ".language_id = " . $_SESSION["languageid"] . ")) ";
	$leerkontrolle .= "LEFT JOIN " . TABLE_BANNER_LANGU . " table_banner_langu_standard ON ((" . TABLE_BANNER . ".id = table_banner_langu_standard.banner_id) AND (table_banner_langu_standard.language_id = " . $StandardLanguageID . ")) ";
	$leerkontrolle .= "WHERE ";
	$leerkontrolle .= "IF(" . TABLE_BANNER . ".language_independent, table_banner_langu_standard.bigImage, " . TABLE_BANNER_LANGU . ".bigImage) != '' ";

	$wasdrin = errorlogged_mysql_query($leerkontrolle);
	$anzahl = mysql_fetch_object($wasdrin);

	#echo $anzahl->anzahl;
	$zahl = $rowAll->banner_time;
	// Zufallszahl aus der Artikelzahl ziehen
	mt_srand((double)microtime()*1000000);
	$zufallsz=mt_rand(0, max(0,$anzahl->anzahl-1));

	// Zufallszahl nehmen und Daten bis zur Zufallszahl abzaehlen
	#echo $zufallsz;

	if (($_SESSION['b_id'] =="") || ($_SESSION['b_counter'] == "0")) {

		$abfrage = "SELECT ";
		$abfrage .= TABLE_BANNER . ".id, ";
		$abfrage .= TABLE_BANNER . ".artikel_id, ";
		$abfrage .= TABLE_BANNER . ".language_independent, ";
		$abfrage .= "IF(" . TABLE_BANNER . ".language_independent, table_banner_langu_standard.bigImage, " . TABLE_BANNER_LANGU . ".bigImage) AS bigImage, ";
		$abfrage .= TABLE_BANNER_LANGU . ".url ";
		$abfrage .= "FROM ";
		$abfrage .= TABLE_BANNER . " ";
		$abfrage .= "LEFT JOIN " . TABLE_BANNER_LANGU . " ON ((" . TABLE_BANNER . ".id = " . TABLE_BANNER_LANGU . ".banner_id) AND (" . TABLE_BANNER_LANGU . ".language_id = " . $_SESSION["languageid"] . ")) ";
		$abfrage .= "LEFT JOIN " . TABLE_BANNER_LANGU . " table_banner_langu_standard ON ((" . TABLE_BANNER . ".id = table_banner_langu_standard.banner_id) AND (table_banner_langu_standard.language_id = " . $StandardLanguageID . ")) ";
		$abfrage .= "WHERE ";
		$abfrage .= "IF(" . TABLE_BANNER . ".language_independent, table_banner_langu_standard.bigImage, " . TABLE_BANNER_LANGU . ".bigImage) != '' ";
		$abfrage .= "ORDER BY " . TABLE_BANNER . ".id ";
		$abfrage .= "LIMIT " . $zufallsz . ", 1 ";

//		$abfrage = "SELECT * FROM ".TABLE_BANNER." Where bigImage != '' order by id LIMIT ".$zufallsz.",1"; 

		$_SESSION['b_counter'] = $_SESSION['b_counter'] + 1;

	} else {

		$abfrage = "SELECT ";
		$abfrage .= TABLE_BANNER . ".id, ";
		$abfrage .= TABLE_BANNER . ".artikel_id, ";
		$abfrage .= TABLE_BANNER . ".language_independent, ";
		$abfrage .= "IF(" . TABLE_BANNER . ".language_independent, table_banner_langu_standard.bigImage, " . TABLE_BANNER_LANGU . ".bigImage) AS bigImage, ";
		$abfrage .= TABLE_BANNER_LANGU . ".url ";
		$abfrage .= "FROM ";
		$abfrage .= TABLE_BANNER . " ";
		$abfrage .= "LEFT JOIN " . TABLE_BANNER_LANGU . " ON ((" . TABLE_BANNER . ".id = " . TABLE_BANNER_LANGU . ".banner_id) AND (" . TABLE_BANNER_LANGU . ".language_id = " . $_SESSION["languageid"] . ")) ";
		$abfrage .= "LEFT JOIN " . TABLE_BANNER_LANGU . " table_banner_langu_standard ON ((" . TABLE_BANNER . ".id = table_banner_langu_standard.banner_id) AND (table_banner_langu_standard.language_id = " . $StandardLanguageID . ")) ";
		$abfrage .= "WHERE ";
		$abfrage .= TABLE_BANNER . ".id = '" . $_SESSION['b_id'] . "' ";

//		$abfrage = "SELECT * FROM ".TABLE_BANNER." Where id = '".$_SESSION['b_id']."'";

		$_SESSION['b_counter'] = $_SESSION['b_counter'] + 1;

		if($_SESSION['b_counter'] >= $zahl) {
			$_SESSION['b_counter'] = "0";
			$_SESSION['b_id'] = "";
		}

	}

	$ergebnis = errorlogged_mysql_query($abfrage);
	$rowBan = mysql_fetch_object($ergebnis);

	if (($_SESSION['b_id'] =="") && ($_SESSION['b_counter'] == "1")) {
		$_SESSION['b_id'] = $rowBan->id;
	}

	if (isset($rowBan->bigImage)) {

		if (file_exists(DATEIPFAD . "images/dbimages/" . $rowBan->bigImage)) {

			$imageSize = getimagesize(DATEIPFAD . "images/dbimages/" . $rowBan->bigImage);

			if ($rowBan->url =="") {
				$tpl_banner = sprintf('<a href="%sthemes/kategorie/detail.php?artikelid=%s&amp;refertype=%s&amp;referid=%s"><img src="%sdbimages/%s" width="%s" height="%s" alt="Banner" /></a>',URLPFAD_NOSSL,$rowBan->artikel_id,VERWEIS_QUELLE_BANNER,$rowBan->id,IMAGEPFAD,$rowBan->bigImage,$imageSize[0],$imageSize[1]);
			} else {
				$tpl_banner = sprintf('<a href="%s" target="_blank"><img src="%sdbimages/%s" width="%s" height="%s" border="0" alt="Banner" /></a>',$rowBan->url,IMAGEPFAD,$rowBan->bigImage,$imageSize[0],$imageSize[1]);		
			}
		}
	}
} else {
	$tpl_banner = false;
}





// ********************************************************************************
// ** Newsletter
// ********************************************************************************
if ($rowFeat->newsletter == '1') {
	
    $newsletter = "true";

    // Anmelden
    if (isset($_POST['submitNewsletter'])) {
		$tpl_newsAusgabe = addNewsletter($_POST["email"], $_SESSION["languageid"]);
	}
	
    // Bestätigung der Anmelden
	if (isset($_GET['activationkey'])) {
		$ActivationKey = $_GET['activationkey'];
		saveBestaetigung($ActivationKey);	
	}
	
	/************************************************************************
	* User Loeschen														*
	************************************************************************/
	if (isset($_GET["action"]) == "del") {
		$tpl_newsAusgabe = deleteNewsletter($_GET["activationkey"]);
	}

}




/************************* Counter  *****************************/

if($rowFeat->counter == "1")
{
	$zeigeCounter = "true";
}
	
$uhr1="true"; //Zeige Uhr //true oder false
$uh_form="H:i:s"; //Format
$datum1="true"; //Zeige Datum  //true oder false

$zeit = time(); 
$datum = date("d.m.Y");
$ip=getenv("REMOTE_ADDR");
$loeschzeit= $zeit-86400; //In Sekunden

$queryone=errorlogged_mysql_query("SELECT * FROM ".TABLE_COUNT_IP." where ip='$ip'", $db);
$querytwo=mysql_num_rows($queryone);
if($querytwo == "0")
{
	$order=errorlogged_mysql_query("UPDATE ".TABLE_COUNT_HI." SET hits=hits+1", $db);
	$order2=errorlogged_mysql_query("Select login, lastlogin from ".TABLE_COUNT_HI."", $db);
	$fetchit=mysql_fetch_array($order2);
	$my01=errorlogged_mysql_query("Update ".TABLE_COUNT_HI." SET lastlogin='$fetchit[login]'", $db);
	$my02=errorlogged_mysql_query("Update ".TABLE_COUNT_HI." SET login='$zeit'", $db);
	$my03=errorlogged_mysql_query("INSERT INTO ".TABLE_COUNT_IP." (dates, del, ip) VALUES ('$datum', '$zeit', '$ip')",$db);
}

$my04=errorlogged_mysql_query("DELETE FROM ".TABLE_COUNT_IP." WHERE del<$loeschzeit",$db);
$ausgabe=errorlogged_mysql_query("SELECT * FROM ".TABLE_COUNT_HI."", $db);
$getit=mysql_fetch_array($ausgabe);

// Gesamtbesucher
$myHits = $getit["hits"];

$datum = date("d.m.Y");
$my05 = @errorlogged_mysql_query("SELECT count(ip) FROM ".TABLE_COUNT_IP." where dates='$datum'", $db);
$my06 = mysql_result($my05, 0);

// Heute
$countDay = $my06;
$tdate=date("d.m", $getit["lastlogin"]) . $hdate=date("d.m");

if ($tdate == "$hdate" ) {
#$kzeit= date("G.i", $getit[lastlogin]);
#print "Heute um $kzeit</font><br>\n";
} else {
	$vzeit=date("d.m.y G:i", $getit["lastlogin"]);
	$countLast = $vzeit;
}
//$HOST= gethostbyaddr($ip);
$zeitz=time();

$deleteuser= errorlogged_mysql_query( "delete from ".TABLE_COUNT_UO." where DATE < $zeitz -360", $db);
$usergesamt= mysql_fetch_row(errorlogged_mysql_query( "SELECT * FROM ".TABLE_COUNT_UO." where IP='$ip'", $db));

if($usergesamt == false) {
	$ok= @errorlogged_mysql_query( "insert INTO ".TABLE_COUNT_UO." (IP,NAME,DATE) VALUES('$ip','$HOST','$zeitz')", $db)or die( "Unable to query
db!");
}
$resultit = errorlogged_mysql_query( "SELECT Count(*) as total FROM ".TABLE_COUNT_UO."", $db);
$my07= mysql_fetch_array($resultit);

// gerade online
$countOn = $my07["total"];

if(isset($holit["maxuser"])) {
	if ($my07["total"] > $holit["maxuser"] ) {
		$my08=errorlogged_mysql_query("UPDATE ".TABLE_COUNT_HI." SET maxuser='" . $my07["total"] . "'", $db);
	}
}

$my09=errorlogged_mysql_query("SELECT maxuser FROM ".TABLE_COUNT_HI."", $db);
$getme=mysql_fetch_array($my09);
$countMax = $getme["maxuser"];

if($rowFeat->counter == "1")
{
	$tpl_countAusgabe = $myHits;
	$tpl_countDay = $countDay;
	$tpl_countLast = $countLast;
	$tpl_countOn = $countOn;
	$tpl_countMax = $countMax;
} // $rowFeat->counter


if(PLUGIN_KLEINUNTERNEHMEN) {
    include_once(DATEIPFAD . "plugins/plugin.kleinunternehmen.inc.php");
    $Kleinunternehmer = GetKleinunternehmerRegelung();
} else {
    SaveKeyValueEinstellungen("kleinunternehmen", "kleinunternehmen", "");
}


if(PLUGIN_KLEINUNTERNEHMEN && $Kleinunternehmer == 1) {
    $tpl_preisinfo = $lang_kleinunternehmen;
} else {
    if ($KundenGruppenTyp > 1) {
        $tpl_preisinfo = $lang_preisinfo_netto;
    } else {
        $tpl_preisinfo = $lang_preisinfo_brutto;
    }
}

//***************************************************************************************************************
// Partnerprogramm
//***************************************************************************************************************

if(PARTNERPROGRAMM) {
	
	//Wenn ein Key mit �bergeben wurde, d.h. der Kunde von einer Partnerseite kommt, dessen Key in die Session schreiben
	if(isset($_GET['partner'])) {
	
		$SQLString = 'SELECT ' . TABLE_PARTNER . '.partner_key ';
		$SQLString .= 'FROM ' . TABLE_PARTNER . ' ';
		$SQLString .= 'WHERE ' . TABLE_PARTNER . '.partner_key = \'' . $_GET['partner'] . '\'';

		errorlogged_mysql_query($SQLString);

		if(mysql_affected_rows() > 0){

			$_SESSION['partner_key'] = $_GET['partner'];
			$_SESSION['partner_artikel'] = $_GET['artikelid'];
			
		}
		
	}
		
}

include_once(DATEIPFAD . "includes/functions.statistik.inc.php");

// Statistik - Template Variable für die Bestsellerliste in index.tpl
$tpl_refertype_bestseller = VERWEIS_QUELLE_STARTSEITE_BESTSELLER;

includeCustomisationFiles('global');
