<?php

/**
 * 
 * Copyright (C) Die Randgruppe GmbH
 * 
 * http://www.randshop.com
 * http://www.dierandgruppe.com
 * 
 * Unter der Lizenz von Die Randgruppe GmbH:
 * http://www.randshop.com/Lizenz
 *  
 * $Author$
 * $Date$
 * $Revision$
 * 
 */

	session_start();

	// SourceID = 2

	// PHP-Includes
    if (!$SEOCall) {
    	include_once("../../conf/config.inc.php");
    	include_once(DATEIPFAD . "conf/db.inc.php");
    }
    
	include_once(DATEIPFAD . "includes/shopinitialize.inc.php");
	include_once(DATEIPFAD . "includes/functions.mod.cms.inc.php");
	include_once(DATEIPFAD . "includes/functions.shopeinstellung.inc.php");
	include_once(DATEIPFAD . "includes/functions.kategorie.inc.php");
	include_once(DATEIPFAD . "includes/session_register.inc.php");
	include_once(DATEIPFAD . "includes/functions.global.inc.php");

	// Spracheninclude
	if (@fopen(DATEIPFAD . "includes/language/langu_" . $_SESSION["languageisocode"] . ".inc.php",r)) {
		include_once(DATEIPFAD . "includes/language/langu_" . $_SESSION["languageisocode"] . ".inc.php");
	} else {
		include_once(DATEIPFAD . "includes/language/langu_de.inc.php");
	}	

	// Header
	include_once(DATEIPFAD . "includes/header.inc.php");

	if ($_POST["kategorieid"]) { $KategorieID =  $_POST["kategorieid"]	; }
	if ($_GET["kategorieid"]) { $KategorieID = $_GET["kategorieid"]; }

	if ($_POST["parentid"]) { $ParentID =  $_POST["parentid"]	; }
	if ($_GET["parentid"]) { $ParentID = $_GET["parentid"]; }
	
	$KategorieObject = GetCMSKategorieDetail($ParentID,$_SESSION["languageid"]);
	
//	echo '<pre>';
//	var_dump($KategorieObject);
//	echo '</pre>';
	
	// Artikelanzahl in der Kategorie ermitteln
	$ArtikelAnzahl = GetCMSArtikelAnzahl("", "", "", $HerstellerID, $KategorieID, "", 0, 1, 1);
	
	// Kategorieanzahl in der Kategorie ermitteln
	$KategorieDataArray = GetCMSKategorieDataArray($KategorieID, $_SESSION["languageid"]);
	$KategorieAnzahl = count($KategorieDataArray);
	
    $CMSKategorieArray = GetCMSKategorie($_SESSION["languageid"],$ParentID);

    foreach ($CMSKategorieArray as $CMSKategorie) {
        $CMSKategorieIDArray[] = $CMSKategorie['kategorieid'];
    }

    $SEOURLArray = GetSEOURLArray($CMSKategorieIDArray, SEOURL_TYPE_CMS_KATEGORIE, $_SESSION["languageid"], $SEOURLArray);
        
	// ********************************************************************************
	// ** Kategorieuebersicht
	// ********************************************************************************
	if (($ArtikelAnzahl == 0) && ($KategorieAnzahl > 0)) {


		$tpl_katAnsicht = "<div class=\"CMSBox\">";
		$tpl_katAnsicht .= "<h1 class=\"allgemeineHeadline\">" . $KategorieObject->name . "</h1>";
		
		foreach ($KategorieDataArray as $Kategorie) {
		
			$tpl_katAnsicht .= "<div id=\"kategorieArtikelFormat\">";
			if ($Kategorie["smallimage"] != "") {
	
				if (file_exists("../../images/dbimages/" . $Kategorie["smallimage"])) {
					$imageSize = getimagesize("../../images/dbimages/" . $Kategorie["smallimage"]);
					$tpl_katAnsicht .= "<span class=\"kategorieArtikelbildFormat\"><a href=\"" . URLPFAD . "cms/kategorie/index.php?kategorieid=" . $Kategorie["id"] . "&parentid=" . $ParentID . "\"><img src=\"../../images/dbimages/" . $Kategorie["smallimage"] . "\" width=\"" . $imageSize[0] . "\" height=\"" . $imageSize[1] . "\" border=\"0\" /></a></span>\n";
				}
	
			}
			
			$tpl_katAnsicht .= "<span class=\"kategorieArtikelnameFormat\"><a href=\"" . URLPFAD . "cms/kategorie/index.php?kategorieid=" . $Kategorie["id"] . "&parentid=" . $ParentID . "\">" . $Kategorie["name"] . "</a></span>";
			$tpl_katAnsicht .= "</div>";
		}
		
		$tpl_katAnsicht .= "</div>";
		$tpl_katAnsicht .= "<div class=\"artikelCleaner\"></div>";
		

		// Template
		$contentFile = DATEIPFAD . "templates/" . $rowTemp->name . "/website/cms/kategorieuebersicht.tpl";

	// ********************************************************************************
	// ** Artikeluebersicht
	// ********************************************************************************
	} elseif ($ArtikelAnzahl > 0) {
		

		// ********************************************************************************
		// ** Bilder anzeigen
		// ********************************************************************************

		// Bilder anzeigen/ausblenden
		if (isset($_GET["si"])) {
			if ($_GET["si"] == "true") {
				$_SESSION['showimage'] = true;
			} else {
			    $_SESSION['showimage'] = false;
			}
		}

		// Einstellungen f�r die Bilderanzeige
		if ($_SESSION['showimage']) {
		    $tpl_showimage = true;
		    $tpl_showimagelinktext = $l_bilderausblenden;
		    $tpl_showimagelink = "index.php?si=false";
		} else {
		    $tpl_showimage = false;
		    $tpl_showimagelinktext = $l_bilderanzeigen;
		    $tpl_showimagelink = "index.php?si=true";
		}



		// ********************************************************************************
		// ** Kategoriepfad
		// ********************************************************************************

		$tpl_kategoriepfad = GetCMSKategoriePathString($KategorieID,$_SESSION["languageid"],$ParentID);


		// ********************************************************************************
		// ** Artikeldaten ausgeben
		// ********************************************************************************

		// Standardeinstellungen
		if (!$DataOffset) { $DataOffset = 0; };
		if (!$DataCount) { $DataCount = $wievielEintraege; };
		if (!$SortField) { $SortField = TABLE_CMS . ".artikel_nr"; };
		if (!$SortOrder) { $SortOrder = "asc"; };

		// Artikel einlesen

		$ArtikelSortField = "artikel_nr";
		$ArtikelSortOrder = "ASC";
			
		$tpl_artikelarray = GetCMSArtikelDataArray("", "", $ArtikelSortField, $ArtikelSortOrder, $DataOffset, $DataCount, $_SESSION["mail"], $HerstellerID, $KategorieID, "", "", "", 1, 1, "", "", 1, "", "", $_SESSION["languageid"]);
		
		foreach ($tpl_artikelarray as $tpl_artikel_key => $tpl_artikel) {
			
			$ArtikelBildDataArray = getCMSArtikelBilderDataArray($tpl_artikel["id"]);	
			
			foreach($ArtikelBildDataArray as $ArtikelBildArray => $ArtikelBildData) {
				$tplBilderArray .= "<a href=\"javascript:openFenster('" . IMAGEPFAD . "dbimages/" . $ArtikelBildData["bigImage"] . "', '" . ($ArtikelBildData["imagebig_width"] + 20). "', '" . ($ArtikelBildData["imagebig_height"] + 20) . "');\">". $ArtikelBildData["imagesmall_imagestring"]."</a>";
			}
			
//			echo "<pre>";
//			var_dump($ArtikelBildDataArray);
//			echo "</pre>";

			$DBCount = 0;
			$getDataList = GetCMSDatenblattDataArray($tpl_artikel["id"], $_SESSION["languageid"]);
			if($getDataList)  {
				foreach($getDataList as $datenBlatt) {
					if($DBCount == 0) { $DBClass = "contentRow"; $DBCount = 1;  } 
					else {
						$DBClass = "contentSecondRow"; $DBCount = 0; 
					} 
					
					if($datenBlatt["url_feld"] != "") { 
						$datenblatt_name = "<a href=\"".$datenBlatt["url_feld"]."\" target=\"_blank\">".$datenBlatt["titelname"]."</a>";
					} elseif(($datenBlatt["datei_upload"] !="") && ($datenBlatt["url_feld"] == "")) {
						$datenblatt_name = "<a href=\"".URLPFAD."data/".$datenBlatt["datei_upload"]."\" target=\"_blank\">".$datenBlatt["titelname"]."</a>";
					} else {
						$datenblatt_name = "".$datenBlatt["titelname"]."";
					}
					if($datenBlatt["symbol"] !="") {
						if($datenBlatt["smallImage"]) {
							$datenblatt_symbol = "<img src=\"".IMAGEPFAD."dbimages/".$datenBlatt["smallImage"]."\" border=\"0\">";
						}
					}

                    $tpl_artikelarray[$tpl_artikel_key]['datenblaetter'][] = array('datenblatt_name'=>$datenblatt_name,
															'datenblatt_style'=>$DBClass,
															'datenblatt_symbol'=>$datenblatt_symbol);
				}
			}

			// ********************************************************************************
			// ** Abhaengige Artikel
			// ********************************************************************************		
			$tpl_abartikelarray = GetCMSArtikelDataArray("", "", $CSSortField, $CSSortOrder, "", "", "", "", "", "", "", $tpl_artikel["id"], "", 1);
		
			if ($tpl_abartikelarray) {
				foreach ($tpl_abartikelarray as $tpl_abartikel_key => $tpl_abartikel) {
					// Beschreibungskurzausgabe
					if($tpl_abartikel["kurz_beschreibung"]) {
						$tpl_abartikelarray[$tpl_abartikel_key]["kurzbeschreibung_abtitel"] = $tpl_abartikel["kurz_beschreibung"];
					} else {
						$tpl_abartikelarray[$tpl_abartikel_key]["kurzbeschreibung_abtitel"] = $tpl_abartikel["beschreibung_kurz"];
					}
				}
			}
			
			
			
			// ********************************************************************************
			// ** Kundenbewertung
			// ********************************************************************************
			if ($FeatureObject->bewertung == "1") {
		
				$BewertungenArray = GetBewertungDataArray($tpl_artikel["id"], $_GET["all"]);
			
			}
		
			
		}
		
		
		

		// ********************************************************************************
		// ** Vor- und Zurueck-Button
		// ********************************************************************************

		// Zurueck-Button
		if ($DataOffset > 0) {
			$tpl_zurueckbutton = "<span class=\"artikelZurueckButton\"><a href=\"index.php?sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . ($DataOffset - $DataCount) . "&datacount=" . $DataCount . "&herstellerid=".$HerstellerID."\">".htmlentities("<")."</a></span>";
		}
		
		// Vor-Button
		if ($ArtikelAnzahl > ($DataOffset + $DataCount)) {

			if (($ArtikelAnzahl - $DataCount - $DataOffset) > $DataCount) {
				$WeitereEintraege = $DataCount;
			} else {
				$WeitereEintraege = $ArtikelAnzahl - $DataCount - $DataOffset;
			}	

			$tpl_weiterbutton = "<span class=\"artikelWeiterButton\"><a href=\"index.php?searchfield=" . $SearchField . "&searchstring=" . $SearchString . "&sortfield=" . $SortField . "&sortorder=" . $SortOrder . "&dataoffset=" . ($DataOffset + $DataCount) . "&datacount=" . $DataCount . "&herstellerid=".$HerstellerID."\">".htmlentities(">")."</a></span>";
		
		}
		
		// Datensatzanzahl
		if ($ArtikelAnzahl > ($DataCount + $DataOffset)) {
			if ($DataOffset == 0) {
				$AnzahlAngezeigteEintraege = $DataCount;
			} else {
				$AnzahlAngezeigteEintraege = $DataOffset + $DataCount;
			}
		} else {
			$AnzahlAngezeigteEintraege = $ArtikelAnzahl;
		}	

		$tpl_datensatzanzahl = ($DataOffset + 1) . " - " . $AnzahlAngezeigteEintraege . " | " . $ArtikelAnzahl . " " . $l_treffer;
			

		// Template
		$contentFile = DATEIPFAD . "templates/" . $rowTemp->name . "/website/cms/artikeluebersicht.tpl";

	// ********************************************************************************
	// ** keine Artikel und keine Kategorien
	// ********************************************************************************
	} else {

        header("HTTP/1.1 301 Moved Permanently");
        header("Location: " . URLPFAD . "index.php");
        exit;

	}

	// Letzte globale Zusammenfassung z.B. fuer Warenkorbanzeige, bevor das Template geladen wird.
	include_once(DATEIPFAD . "includes/cms_footer.inc.php");

	// Template wenn unterNavigationspunkte CMS_Template ansonsten Shop Template
	if($KategorieObject->subCategories){
		include_once(DATEIPFAD . "templates/" . $rowTemp->name . "/website/cms_index.tpl");
	}else{
		include_once(DATEIPFAD . "templates/" . $rowTemp->name . "/website/index.tpl");
	}
	@mysql_close($db);
	
?>